Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class LockTimedOutException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDODataStoreException
                                          |
                                          +--kodo.util.DataStoreException
                                                |
                                                +--kodo.util.LockTimedOutException

All Implemented Interfaces:
  Serializable

public class LockTimedOutException
extends DataStoreException
implements Serializable

Exception indicating that locks on one or more objects could not be acquired. The `JDOException.getFailedObject()` method will be used to return the `Collection` of objects that could not be locked.

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`LockTimedOutException()`
`LockTimedOutException(Object failed, int timeout)`
`LockTimedOutException(String msg)`
`LockTimedOutException(String msg, Throwable[] nested, Object failed, int timeout)`
`LockTimedOutException(Throwable[] nested, int timeout)`
`LockTimedOutException(Throwable[] nested, Object failed, int timeout)`
`LockTimedOutException(Throwable nested, int timeout)`
`LockTimedOutException(Throwable nested, Object failed, int timeout)`

Method Summary
`int` | `getTimeout()`
`protected DataStoreException` | `newSerializableInstance(String msg, Throwable[] nested, Object failed)` Return a new instance of this class with the given state, and add any additional serializable state from this instance.
`void` | `setTimeout(int timeout)`
`String` | `toString()` Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.

Methods inherited from class kodo.util.DataStoreException
`writeReplace`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockTimedOutException

    public LockTimedOutException()

### LockTimedOutException

    public LockTimedOutException(String msg)

### LockTimedOutException

    public LockTimedOutException(Object failed,
                                 int timeout)

### LockTimedOutException

    public LockTimedOutException(Throwable nested,
                                 int timeout)

### LockTimedOutException

    public LockTimedOutException(Throwable[] nested,
                                 int timeout)

### LockTimedOutException

    public LockTimedOutException(Throwable nested,
                                 Object failed,
                                 int timeout)

### LockTimedOutException

    public LockTimedOutException(Throwable[] nested,
                                 Object failed,
                                 int timeout)

### LockTimedOutException

    public LockTimedOutException(String msg,
                                 Throwable[] nested,
                                 Object failed,
                                 int timeout)

Method Detail

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### newSerializableInstance

    protected DataStoreException newSerializableInstance(String msg,
                                                         Throwable[] nested,
                                                         Object failed)

  Return a new instance of this class with the given state, and add any additional serializable state from this instance.
  Overrides:
    `newSerializableInstance` in class `DataStoreException`

### toString

    public String toString()

  Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.
  Overrides:
    `toString` in class `DataStoreException`
  Since:
    3.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.